Page MenuHomePhabricator

efl-csharp: Remove spaces from type strings in generator.
ClosedPublic

Authored by lauromoura on Mar 21 2019, 3:31 PM.

Details

Summary

Previously, the type_impl and marshall_type_impl generators relied on a
type mismatch in the match table to fallback to the else branch in the
match check to actually print the type string. This was achieved by
adding the " " prefix to the type.

This commit changes this behavior to invoke a proper visitor just to
print and makes both generators return trimmed type strings.

This will help conforming to the C# coding conventions.

Test Plan

run test suite

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lauromoura created this revision.Mar 21 2019, 3:31 PM
lauromoura requested review of this revision.Mar 21 2019, 3:31 PM
felipealmeida accepted this revision.Mar 22 2019, 2:32 PM
This revision is now accepted and ready to land.Mar 22 2019, 2:32 PM
vitor.sousa requested changes to this revision.Mar 26 2019, 10:14 AM
vitor.sousa added inline comments.
src/bin/eolian_mono/eolian/mono/type_impl.hh
82

Unused?

This revision now requires changes to proceed.Mar 26 2019, 10:14 AM

Update removing unused variable.

vitor.sousa accepted this revision.Mar 26 2019, 10:41 AM
This revision is now accepted and ready to land.Mar 26 2019, 10:41 AM
This revision was automatically updated to reflect the committed changes.